[xlibs-commit] xlibs ChangeLog,NONE,1.1 build-em,1.4,1.5

Carl Worth xlibs-commit@pdx.freedesktop.org
Tue, 11 Nov 2003 10:23:37 -0800


Committed by: cworth

Update of /cvs/xlibs/xlibs
In directory pdx:/tmp/cvs-serv32232

Modified Files:
	build-em 
Added Files:
	ChangeLog 
Log Message:

        * build-em (PACKAGES): Remove unnecessary check of CVSROOT as it
        will get picked up from CVS/Root anyway.
        (BUILD_EM_SUDO): Allow the user to specify use of "sudo make
install" by setting BUILD_EM_SUDO=sudo before calling ./build-em.


--- NEW FILE: ChangeLog ---
2003-11-11  Carl Worth  <cworth@east.isi.edu>

	* build-em (PACKAGES): Remove unnecessary check of CVSROOT as it
	will get picked up from CVS/Root anyway.
	(BUILD_EM_SUDO): Allow the user to specify use of "sudo make
	install" by setting BUILD_EM_SUDO=sudo before calling ./build-em.


Index: build-em
===================================================================
RCS file: /cvs/xlibs/xlibs/build-em,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -d -r1.4 -r1.5
--- build-em	10 Nov 2003 03:38:48 -0000	1.4
+++ build-em	11 Nov 2003 18:23:35 -0000	1.5
@@ -1,5 +1,9 @@
 #!/bin/sh
 # export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig
+
+## Uncomment this to perform the "make install" step using sudo
+#BUILD_EM_SUDO=sudo
+
 if automake --version | grep 'automake' | grep -q '1\.7'; then
 	echo 'found automake 1.7'
 else
@@ -17,12 +21,6 @@
 else
 	echo 'libtool 1.5 is not or better'
 fi
-case x$CVSROOT in
-x)
-	echo 'Set CVSROOT before running this script'
-	exit 1
-	;;
-esac
 PACKAGES=`cat Packages | while read i; do
 	case "$i" in
 	'#'*)
@@ -35,7 +33,7 @@
 for i in $PACKAGES; do
 	echo "Checking out package $i"
 	cvs co $i || exit 1
-	(cd $i && ./autogen.sh "$@" && make -j2 && make install) || exit 1
+	(cd $i && ./autogen.sh "$@" && make -j2 && $BUILD_EM_SUDO make install) || exit 1
 done
 
 echo "Completed build-em successfully!"